Shortcut for "project o-snaps" when move?

Is there a shortcut to toggle “project object snaps” on and off, or disable temporarily (like ALT disables snaps?)

If not I wish for this. Being able to hold down a key when moving from A to B, or having a constraint like Move Vertical (M V is fast to type, so M C (for cplane) would be a great adition)

Hi @Holo
I’ve got ProjectOsnap Toggle assigned to Ctrl+p (I don’t print much and use a lefthanded mouse, so it’s easy to get to), which works inside commands.
-Jakob

1 Like

Ctrl+Shift+P is also unassigned just in case.

2 Likes

Thanks both, that’s smooth!
I do think it would be nice if it was part of Rhino and I wondered if it already was, as a hidden command like join has ‘crv’ to force joining a curve from other inputs like surface edges.

Btw I use this script on a button now when I want to move something constrained:

import rhinoscriptsyntax as rs
objects = rs.GetObjects("Select objects to move",group=True,preselect=True, select=True)
if objects:
    osnap = rs.ProjectOsnaps()
    if not osnap:
        rs.ProjectOsnaps(True)
        rs.Command("!_Move")
        rs.ProjectOsnaps(False)
    else:
        rs.Command("!_Move")

But it forces me to choose the tool in advance (which is OK of course) but I think the workflow would be even smoother if I could just hit M and then C to force it. (P would make more sence, but is further from M and the Spacebar than C is :wink: )